# openforcefield.topology.Bond

class `openforcefield.topology.``Bond`(atom1, atom2, bond_order, is_aromatic, fractional_bond_order=None, stereochemistry=None)

  Chemical bond representation.

  Warning

  This API is experimental and subject to change.

  Attributes
    atom1, atom2 openforcefield.topology.Atom

      Atoms involved in the bond

    bondtype int

      Discrete bond type representation for the Open Forcefield aromaticity model TODO: Do we want to pin ourselves to a single standard aromaticity model?

    type str

      String based bond type

    order int

      Integral bond order

    fractional_bond_order float, optional

      Fractional bond order, or None.

    .. warning :: This API is experimental and subject to change.

  Methods

  `from_bson`(serialized) | Instantiate an object from a BSON serialized representation.
  `from_dict`(molecule, d) | Create a Bond from a dict representation.
  `from_json`(serialized) | Instantiate an object from a JSON serialized representation.
  `from_messagepack`(serialized) | Instantiate an object from a MessagePack serialized representation.
  `from_pickle`(serialized) | Instantiate an object from a pickle serialized representation.
  `from_toml`(serialized) | Instantiate an object from a TOML serialized representation.
  `from_xml`(serialized) | Instantiate an object from an XML serialized representation.
  `from_yaml`(serialized) | Instantiate from a YAML serialized representation.
  `to_bson`() | Return a BSON serialized representation.
  `to_dict`() | Return a dict representation of the bond.
  `to_json`([indent]) | Return a JSON serialized representation.
  `to_messagepack`() | Return a MessagePack representation.
  `to_pickle`() | Return a pickle serialized representation.
  `to_toml`() | Return a TOML serialized representation.
  `to_xml`([indent]) | Return an XML representation.
  `to_yaml`() | Return a YAML serialized representation.

  `__init__`(atom1, atom2, bond_order, is_aromatic, fractional_bond_order=None, stereochemistry=None)

    Create a new chemical bond.

  Methods

  `__init__`(atom1, atom2, bond_order, is_aromatic) | Create a new chemical bond.
  `from_bson`(serialized) | Instantiate an object from a BSON serialized representation.
  `from_dict`(molecule, d) | Create a Bond from a dict representation.
  `from_json`(serialized) | Instantiate an object from a JSON serialized representation.
  `from_messagepack`(serialized) | Instantiate an object from a MessagePack serialized representation.
  `from_pickle`(serialized) | Instantiate an object from a pickle serialized representation.
  `from_toml`(serialized) | Instantiate an object from a TOML serialized representation.
  `from_xml`(serialized) | Instantiate an object from an XML serialized representation.
  `from_yaml`(serialized) | Instantiate from a YAML serialized representation.
  `to_bson`() | Return a BSON serialized representation.
  `to_dict`() | Return a dict representation of the bond.
  `to_json`([indent]) | Return a JSON serialized representation.
  `to_messagepack`() | Return a MessagePack representation.
  `to_pickle`() | Return a pickle serialized representation.
  `to_toml`() | Return a TOML serialized representation.
  `to_xml`([indent]) | Return an XML representation.
  `to_yaml`() | Return a YAML serialized representation.

  Attributes

  `atom1` |
  `atom1_index` |
  `atom2` |
  `atom2_index` |
  `atoms` |
  `bond_order` |
  `fractional_bond_order` |
  `is_aromatic` |
  `molecule` |
  `molecule_bond_index` | The index of this Bond within the the list of bonds in `Molecules`.
  `stereochemistry` |

  `to_dict`()

    Return a dict representation of the bond.

  classmethod `from_dict`(molecule, d)

    Create a Bond from a dict representation.

  `molecule_bond_index`

    The index of this Bond within the the list of bonds in `Molecules`.

  classmethod `from_bson`(serialized)

    Instantiate an object from a BSON serialized representation.

    Specification: http://bsonspec.org/

    Parameters
      serialized bytes

        A BSON serialized representation of the object

    Returns
      instance cls

        An instantiated object

  classmethod `from_json`(serialized)

    Instantiate an object from a JSON serialized representation.

    Specification: https://www.json.org/

    Parameters
      serialized str

        A JSON serialized representation of the object

    Returns
      instance cls

        An instantiated object

  classmethod `from_messagepack`(serialized)

    Instantiate an object from a MessagePack serialized representation.

    Specification: https://msgpack.org/index.html

    Parameters
      serialized bytes

        A MessagePack-encoded bytes serialized representation

    Returns
      instance cls

        Instantiated object.

  classmethod `from_pickle`(serialized)

    Instantiate an object from a pickle serialized representation.

    Warning

    This is not recommended for safe, stable storage since the pickle specification may change between Python versions.

    Parameters
      serialized str

        A pickled representation of the object

    Returns
      instance cls

        An instantiated object

  classmethod `from_toml`(serialized)

    Instantiate an object from a TOML serialized representation.

    Specification: https://github.com/toml-lang/toml

    Parameters
      serlialized str

        A TOML serialized representation of the object

    Returns
      instance cls

        An instantiated object

  classmethod `from_xml`(serialized)

    Instantiate an object from an XML serialized representation.

    Specification: https://www.w3.org/XML/

    Parameters
      serialized bytes

        An XML serialized representation

    Returns
      instance cls

        Instantiated object.

  classmethod `from_yaml`(serialized)

    Instantiate from a YAML serialized representation.

    Specification: http://yaml.org/

    Parameters
      serialized str

        A YAML serialized representation of the object

    Returns
      instance cls

        Instantiated object

  `to_bson`()

    Return a BSON serialized representation.

    Specification: http://bsonspec.org/

    Returns
      serialized bytes

        A BSON serialized representation of the objecft

  `to_json`(indent=None)

    Return a JSON serialized representation.

    Specification: https://www.json.org/

    Parameters
      indent int, optional, default=None

        If not None, will pretty-print with specified number of spaces for indentation

    Returns
      serialized str

        A JSON serialized representation of the object

  `to_messagepack`()

    Return a MessagePack representation.

    Specification: https://msgpack.org/index.html

    Returns
      serialized bytes

        A MessagePack-encoded bytes serialized representation of the object

  `to_pickle`()

    Return a pickle serialized representation.

    Warning

    This is not recommended for safe, stable storage since the pickle specification may change between Python versions.

    Returns
      serialized str

        A pickled representation of the object

  `to_toml`()

    Return a TOML serialized representation.

    Specification: https://github.com/toml-lang/toml

    Returns
      serialized str

        A TOML serialized representation of the object

  `to_xml`(indent=2)

    Return an XML representation.

    Specification: https://www.w3.org/XML/

    Parameters
      indent int, optional, default=2

        If not None, will pretty-print with specified number of spaces for indentation

    Returns
      serialized bytes

        A MessagePack-encoded bytes serialized representation.

  `to_yaml`()

    Return a YAML serialized representation.

    Specification: http://yaml.org/

    Returns
      serialized str

        A YAML serialized representation of the object